QGIS Application - Feature request #12673

when creating a composer, show a *sorted* list of existing print composers

2015-04-30 04:48 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20780
Description

Open a project with existing print composers.
Open Composer Manager and add a new composer

In the prompted dialog, the drop-down list shows the existing composers. It'd be nice to have this list sorted, using the name of the
composer (like in the main composer manager dialog) and not, as it seems to be, its ID.

It'll be more readable, | think.

Associated revisions

Revision 6602688 - 2017-03-21 01:32 AM - Nyall Dawson

Don't use combobox of existing composer names in new composer title dialog

It's odd UX - selecting any of these results in an error message,
so0 giving them as choices is misleading.

Fix #12673 (indirectly)

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi
- Target version deleted (Version 2.10)

#2 - 2017-03-20 10:19 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"c66026886ec7480c7440ae1fead05cb1ecdba8dfd".
